UbixOS V2 2.0

Public Member Functions
rs_header Struct Reference

`#include <nd6.h>`

Collaboration diagram for rs_header:

## Public Member Functions
| PACK_STRUCT_FIELD (u16_t chksum)
| PACK_STRUCT_FIELD (u32_t reserved)
| PACK_STRUCT_FLD_8 (u8_t code)
| PACK_STRUCT_FLD_8 (u8_t type)

## Detailed Description

Router solicitation message header.

Definition at line 93 of file nd6.h.

## Member Function Documentation

## ◆ PACK_STRUCT_FIELD() [1/2]

rs_header::PACK_STRUCT_FIELD | ( | u16_t | chksum | ) |

## ◆ PACK_STRUCT_FIELD() [2/2]

rs_header::PACK_STRUCT_FIELD | ( | u32_t | reserved | ) |

## ◆ PACK_STRUCT_FLD_8() [1/2]

rs_header::PACK_STRUCT_FLD_8 | ( | u8_t | code | ) |

## ◆ PACK_STRUCT_FLD_8() [2/2]

rs_header::PACK_STRUCT_FLD_8 | ( | u8_t | type | ) |

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/net/prot/nd6.h